Subject: Re: bug#12872: 24.2; Provide a feature to trigger mode-line redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Dec 2021 21:43:14 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Dec 2021 20:40:40 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> This function could grow a `mode-line-only' parameter (or value of ALL),
> >> I guess.  Hm...  following the logic here isn't trivial.  Would setting
> >> a new flag in the window object that'll make redisplay call
> >> redisplay_mode_lines be a way to implement this?
> >
> > We already have the flag.
> 
> What flag is that?

w->update_mode_line

> > The problem is how to set it only when the current line changes.  I
> > think that's the crux of this issue.
> 
> I must admit I didn't understand what was meant by "when the current
> line changes".  😐

It means point moves from one physical line to another.